SQLite - ältere PHP-Version installieren

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

SQLite - ältere PHP-Version installieren

Postby thomy » 15. May 2013 02:44

Hallo zusammen

Um die ältere "SQLite"- Version, nicht SQLite3, nutzen zu können, habe ich folgende Fragen.

1. Kann ich dafür dennoch den neusten Apache-Server installieren?
2. Es braucht anscheinend dafür eine ältere PHP-Version. Diese Installation ist grundsätzlich auf der folgenden Seite beschrieben
http://www.php.net/manual/de/sqlite.installation.php
Da ich bezüglich des Codings nicht so gut bin, verstehe ich die darin beschriebenen Schritte nicht. Ich versuchte aber am Schluss der jeweiligen Zeile hinzuschreiben, was ich denke zu tun ist.

1. tar xvf php-your.version.here.tar.gz -> ältere PHP-Version installieren, aber welche, um "SQLite" benützen zu können?
2. cd php-your.version.here/ext/sqlite/ -> auf der command Line in den Ordner "sqlite" gehen?
3. phpize -> in diesem "sqlite"-Ordner auf der command Line "phpize" eingeben?
4. ./configure -> auf der command Line "./configure" eingeben?
5. make -> dito
6. make install -> dito

7. - create file /etc/php.d/sqlite.ini: -> dies anschliessend auch auf der command Line eingeben?

8. ; Enable sqlite extension module -> deaktiveren
9. extension=pdo.so -> aktiveren
10. extension=sqlite.so -> dito
11. extension=pdo_sqlite.so -> dito

12. - [restart apache] service httpd restart -> wegen der Anpassung apach neu starten

13. - search phpinfo(); for 'sqlite' to verify correct installation\ -> in php.ini die gemachten Änderungen prüfen


Es geht hauptsächlich um die Punkte 1. - 7.


Schon mal im Voraus vielen Dank!

Es grüsst
Thomas
thomy
 
Posts: 24
Joined: 04. May 2013 12:04
XAMPP Version: 5.6.3
Operating System: windows 7 64bit

Re: SQLite - ältere PHP-Version installieren

Postby Nobbie » 15. May 2013 16:05

Punkt 1. - 7. dokumentiert ausschließlich die Vorgehensweise unter Linux. Nicht unter Windows.

Ein Rückschritt der PHP Version unter Xampp ist generell gar nicht möglich, egal unter welchem Betriebssystem. Wenn Du ein älteres PHP benutzen willst, musst Du entweder ein altes Xampp mit exakt dieser PHP Version finden, oder (besser) auf Xampp verzichten und Apache mit der gewünschten PHP Version so installieren.
Nobbie
 
Posts: 6918
Joined: 09. March 2008 13:04

Re: SQLite - ältere PHP-Version installieren

Postby thomy » 16. May 2013 22:25

Hoi Nobbie

Danke für deine Erklärungen!

So werd ich die letzten Apache-Version suchen, in der noch die SQLite-Codes noch ohne PDO geschrieben werden müssen.


Es grüsst dich
Thomas
thomy
 
Posts: 24
Joined: 04. May 2013 12:04
XAMPP Version: 5.6.3
Operating System: windows 7 64bit

Re: SQLite - ältere PHP-Version installieren

Postby Nobbie » 16. May 2013 22:44

Wieso lernst Du nicht einfach stattdessen den Umgang mit Klassen und Objekten? Irgendwann ist der alte Krempel so alt, dass er nirgends mehr läuft. Und dann?
Nobbie
 
Posts: 6918
Joined: 09. March 2008 13:04

Re: SQLite - ältere PHP-Version installieren

Postby thomy » 17. May 2013 20:40

die zur Zeit im Handel erhältliche Bücher sind nicht gerade toll, um die PDO mit PHP verstehen zu können.
thomy
 
Posts: 24
Joined: 04. May 2013 12:04
XAMPP Version: 5.6.3
Operating System: windows 7 64bit

Re: SQLite - ältere PHP-Version installieren

Postby Altrea » 17. May 2013 21:27

We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6758
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: SQLite - ältere PHP-Version installieren

Postby thomy » 19. May 2013 09:56

Hoi Altrea

Danke für deinen Link.Diese Seite hilft mir sicher weiter.

Es grüsst dich
Thomas
thomy
 
Posts: 24
Joined: 04. May 2013 12:04
XAMPP Version: 5.6.3
Operating System: windows 7 64bit


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 8 guests